Package org.jfree.report.modules.gui.swing.common

## Interface ExportDialog

- All Known Implementing Classes:
    `AbstractExportDialog`, `HtmlFileExportDialog`, `HtmlZipExportDialog`, `PdfExportDialog`

      public interface ExportDialog

  Although this is no real dialog, this interface is meant to be implemented by dialogs (or anything else that behaves modal).
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `performQueryForExport​(ReportJob reportJob, GuiContext guiContext)` |

- - ### Method Detail

    - #### performQueryForExport

          boolean performQueryForExport​(ReportJob reportJob,
                                        GuiContext guiContext)